> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List promotions for a rewards program



## OpenAPI

````yaml /openapi.json get /rewards_programs/{id}/promotions
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /rewards_programs/{id}/promotions:
    get:
      tags:
        - Promotions
      summary: List promotions for a rewards program
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the rewards program
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `promotions` property which is an array of
            `Promotion` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  promotions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Promotion'
                    description: An array of promotions
                required:
                  - promotions
components:
  schemas:
    Promotion:
      type: object
      properties:
        id:
          type: string
          description: The ID of the promotion
        name:
          type: string
          description: Name of the promotion
        start_time:
          type: string
          description: Start time of the promotion
        end_time:
          type: string
          description: End time of the promotion
        points_multiplier:
          type: integer
          description: Multiplier applied to earned points
        description:
          type: string
          description: Description of the promotion
        image_url:
          type: string
          nullable: true
          description: URL of the promotion image
      required:
        - id
        - name
        - start_time
        - end_time
        - points_multiplier
        - description
        - image_url
      title: The Promotion object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````